List enabled payment products
curl --request GET \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/payment-products \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/payment-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/payment-products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/payment-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"current_page": 1,
"data": [
{
"id": 1,
"card_issuer_id": 1,
"name": "Acme Corporate Card",
"subtitle": "Corporate Card",
"description_short": "Streamline expense management with real-time card data.",
"description_long": "Full product description shown after the client activates this card program.",
"funding": "debit",
"liability": "company",
"scheme": {
"code": "mastercard",
"logo_url": "https://sandbox-api.opencard.io/images/card-schemes/mastercard.svg"
},
"payment_program": {
"id": 1,
"name": "Acme Corporate",
"logo_url": "https://sandbox-api.opencard.io/logos?type=card_issuers&name=acme-card-logo.png"
},
"issuer": {
"id": 1,
"name": "Acme Card Issuer",
"legal_name": "Acme Card Issuer AB",
"logo_url": "https://sandbox-api.opencard.io/logos?type=card_issuers&name=acme-card-logo.png"
}
}
],
"per_page": 15,
"total": 1,
"last_page": 1
}Payment Products
List enabled payment products
Payment products already enabled on your account (what clients can pick in onboarding).
GET
/
accounts
/
{accountId}
/
payment-products
List enabled payment products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID

